Bug 659981 - [abrt] dwarves-1.8-1.fc13: tag__delete: Process /usr/bin/pahole was killed by signal 6 (SIGABRT)
Summary: [abrt] dwarves-1.8-1.fc13: tag__delete: Process /usr/bin/pahole was killed by...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dwarves
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Arnaldo Carvalho de Melo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f6e3e18b7ebafabb29259abfa63...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-04 16:42 UTC by Jeffrey M. Birnbaum
Modified: 2011-03-09 20:56 UTC (History)
1 user (show)

Fixed In Version: dwarves-1.9-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-09 20:54:52 UTC


Attachments (Terms of Use)
File: backtrace (11.69 KB, text/plain)
2010-12-04 16:42 UTC, Jeffrey M. Birnbaum
no flags Details
object file that causes pahole to abort (661.23 KB, application/octet-stream)
2010-12-04 16:49 UTC, Jeffrey M. Birnbaum
no flags Details

Description Jeffrey M. Birnbaum 2010-12-04 16:42:19 UTC
abrt version: 1.1.14
architecture: x86_64
Attached file: backtrace
cmdline: pahole amps_sow_listener_broadcaster.C.o
comment: pahole seems to crash with C++ object code produced by gcc 4.5 on Fedora 14 system
component: dwarves
crash_function: tag__delete
executable: /usr/bin/pahole
kernel: 2.6.35.6-48.fc14.x86_64
package: dwarves-1.8-1.fc13
rating: 4
reason: Process /usr/bin/pahole was killed by signal 6 (SIGABRT)
release: Fedora release 14 (Laughlin)
time: 1291480732
uid: 500

How to reproduce
-----
1. run pahole on any .o produced by gcc 4.5 compiled on Fedora 14 system
2.
3.

Comment 1 Jeffrey M. Birnbaum 2010-12-04 16:42:22 UTC
Created attachment 464769 [details]
File: backtrace

Comment 2 Jeffrey M. Birnbaum 2010-12-04 16:47:07 UTC
[jmb@nehalem amps.dir]$ pahole amps_sow_listener_broadcaster.C.o 
die__process_class: DW_TAG_template_value_parameter @ <0x1aa> not handled!
pahole: /builddir/build/BUILD/dwarves-1.8/dwarves.c:92: tag__delete: Assertion `list_empty(&self->node)' failed.
Aborted (core dumped)

I'll attach the .o so that you can try for yourself

Comment 3 Jeffrey M. Birnbaum 2010-12-04 16:49:42 UTC
Created attachment 464771 [details]
object file that causes pahole to abort

If you run pahole on this object file then you can reproduce the issue. I have tried this with a long list of .o's and pahole aborts on all of them.

Comment 4 Arnaldo Carvalho de Melo 2010-12-04 21:44:52 UTC
Can you please try after upgrading to the rpms in this directory:

http://userweb.kernel.org/~acme/dwarves/rpm/test/

I just tested with the provided .o file (thanks!) and it works.

I need to tag v1.9 with this fix and push a fedora upgrade.

Comment 5 Jeffrey M. Birnbaum 2010-12-04 22:13:42 UTC
Thanks Arnaldo, I use pahole quite often so I appreciate you taking time to provide a fix in such a short amount of time.

Comment 6 Jeffrey M. Birnbaum 2010-12-04 22:20:21 UTC
note sure if this means anything:

[jmb@nehalem amps.dir]$ pahole amps_view_manager.C.o > amps_view_manager.pahole
die__process_class: tag not supported (template_value_parameter)!
die__process_class: tag not supported (template_type_parameter)!

Comment 7 Arnaldo Carvalho de Melo 2010-12-04 22:32:11 UTC
You can ignore that, this is exactly the thing that were not supported, C++ tags that I don't properly support in pahole and friends.

I have to study them in more depth so that I can use them when regenerating the source code, for now they are just ignored and this message is emitted.

I'll add a if (verbose) around it before tagging v1.9, thanks for testing!

I fixed it some days ago, when this problem was reported in #654471 :)

Comment 8 Jeffrey M. Birnbaum 2010-12-04 22:39:49 UTC
that is terrific. i am getting what I need out of pahole right now so I am quite pleased. thanks again and really love the tool that you created as it is very handy for creating cache friendly data structures. although I usually do the math in my head when creating, it is nice to be able to check everything.

Comment 9 Fedora Update System 2011-03-01 15:44:44 UTC
Package dwarves-1.9-1.fc13:
* should fix your issue,
* was pushed to the Fedora 13 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dwarves-1.9-1.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc13
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-03-01 16:30:08 UTC
Package dwarves-1.9-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dwarves-1.9-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc14
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-03-02 01:45:52 UTC
dwarves-1.9-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dwarves'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/dwarves-1.9-1.fc14

Comment 12 Fedora Update System 2011-03-09 20:54:34 UTC
dwarves-1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-09 20:56:21 UTC
dwarves-1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.